import { Command, flags } from '@oclif/command';
declare class NgxBindIoCli extends Command {
    static description: string;
    static flags: {
        version: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        info: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        fix: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        ignores: flags.IOptionFlag<string[]>;
        maxInputs: import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
        maxOutputs: import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
    };
    static args: {
        name: string;
    }[];
    run(): Promise<void>;
    private showResults;
    private countUsages;
    private parseComponents;
    private loadSources;
    private scanFiles;
    private showInfo;
}
export = NgxBindIoCli;
